<?php if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

wp_nonce_field( 'wechat_broadcast_message_content_nonce', 'wechat_broadcast_message_content_nonce' );
?>
<?php if ( 1 !== absint( $tencent_agree_meta ) ) : ?>
	<div id="tencent_message_overlay">
		<div id="tencent_message">
			<h1><?php esc_html_e( 'A reminder from Tencent:', 'wp-weixin-broadcast' ); ?></h1>
			<p>
				<?php esc_html_e( 'Be sure to carefully read through and thoroughly understand this statement before using the Broadcast Message function on WeChat Official Account Platform. ', 'wp-weixin-broadcast' ); ?>
				<?php esc_html_e( 'You can choose to disable the Broadcast Message function. If you use this function, however, you will be deemed having acknowledged this statement entirely.', 'wp-weixin-broadcast' ); ?>
			</p>
			<ol>
				<li>
					<?php esc_html_e( 'The broadcast of a message generated by you does not mean Tencent backs your opinion or position.', 'wp-weixin-broadcast' ); ?>
				</li>
				<li>
					<?php esc_html_e( 'You use the Broadcast Message function totally at your own risk. Tencent assumes no legal responsibility arising from your failure to use the function properly or your failure to broadcast any message because of poor network condition, faulty communication line, and/or account status exception.', 'wp-weixin-broadcast' ); ?>
				</li>
				<li>
					<?php esc_html_e( 'Tencent may disable your Broadcast Message function if your account experiences exception.', 'wp-weixin-broadcast' ); ?>
				</li>
			</ol>
			<p>
				<?php esc_html_e( 'To ensure the user’s experience, WeChat Official Account platform forbids malicious marketing, including sharing on Moments, pornographic/vulgar/violent/bloody messages, political rumors or other messages that violate laws, regulations and policies. Tencent will relentlessly crack down and dispose of any account that violates the aforementioned rules.', 'wp-weixin-broadcast' ); ?>
			</p>
			<a href="<?php echo esc_attr( $url_agree ); ?>" class="button button-primary button-large agree"><?php esc_html_e( 'Agree', 'wp-weixin-broadcast' ); ?></a> <a href="<?php echo esc_attr( $url_disagree ); ?>" class="button button-large disagree"><?php esc_html_e( 'Disagree', 'wp-weixin-broadcast' ); ?></a> 
		</div>
	</div>
<?php else : ?>
	<input type="hidden" value="<?php echo empty( $item_ids ) ? '' : esc_html( implode( ',', $item_ids ) ); ?>" id="wechat_broadcast_item_ids" name="wechat_broadcast_item_ids">
	<div class="wp-weixin-broadcast-items-container">
		<h2>
			<?php esc_html_e( 'Broadcast Message Content', 'wp-weixin-broadcast' ); ?>
			<span id="howto-drag" class="howto<?php echo ! empty( $cards_data ) ? '' : esc_attr( ' hidden' ); ?>">
				<?php esc_html_e( 'Drag to reorder items', 'wp-weixin-broadcast' ); ?>
			</span>
		</h2>
		<div>
			<ol class="message-item-placeholder-container hidden">
				<li class="placeholder">
					<div class="card">
						<div class="card-inner">
							<p><span class="dashicons dashicons-arrow-right-alt"></span></p>
							<p><?php esc_html_e( 'Start Adding Items', 'wp-weixin-broadcast' ); ?></p>
						</div>
					</div>
				</li>
			</ol>
			<ol class="message-item-container serialization vertical hidden">
				<?php if ( ! empty( $cards_data ) ) : ?>
					<?php foreach ( $cards_data as $card ) : ?>
						<li class="message-item-<?php echo esc_attr( $card['output'] ); ?> message-item<?php echo ( $card['is_dirty'] ) ? ' dirty' : ''; ?><?php echo in_array( $card['id'], $deleted_items, true ) ? ' deleted' : ''; ?>" data-output="<?php echo esc_attr( $card['output'] ); ?>" data-id="<?php echo esc_attr( $card['id'] ); ?>"  data-name="<?php echo esc_attr( $card['title'] ); ?>" data-type="<?php echo esc_attr( $card['type'] ); ?>">
							<?php if ( in_array( $card['id'], $deleted_items, true ) ) : ?>
								<span class="deleted-text-container"><span class="deleted-text"><?php esc_html_e( 'Deleted', 'wp-weixin-broadcast' ); ?></span></span>
							<?php endif; ?>
							<div class="card <?php echo esc_attr( $card['output'] ); ?>">
								<div class="card-inner">
									<?php if ( 'card-article' === $card['output'] ) : ?>
										<div class="card-title-container">
											<strong class="card-title"><?php echo esc_html( $card['title'] ); ?></strong>
										</div>
										<div class="card-background-container">
											<div class="card-background-thumb" style="background-image:url(<?php echo esc_attr( $card['background_thumb'] ); ?>);"></div>
											<div class="card-background-full" style="background-image:url(<?php echo esc_attr( $card['background_full'] ); ?>);"></div>
										</div>
									<?php else : ?>
										<?php do_action( 'wp_weixin_broadcast_card_item', $card ); ?>
									<?php endif; ?>
								</div>
								<div class="card-actions">
									<a class="delete-card" data-id="" href="#"><span class="dashicons dashicons-trash"></span> <?php esc_html_e( 'Remove' ); ?></a>
								</div>
							</div>
						</li>
					<?php endforeach; ?>
				<?php endif; ?>
			</ol>
		</div>
	</div>
	<div class="wp-weixin-broadcast-items-selector-container">
		<?php if ( ! $job_sent ) : ?>
			<div class="wp-weixin-broadcast-add-article-container">
				<?php do_action( 'wp_weixin_broadcast_before_items_selector', $post ); ?>
				<h2><?php esc_html_e( 'Add items', 'wp-weixin-broadcast' ); ?></h2>
				<ul id="wp_weixin_broadcast_message_item_template_container"class="hidden">
					<li class="message-item" data-id="" data-name="">
						<div class="card">
							<div class="card-inner">
								<div class="card-title-container">
									<strong class="card-title"></strong>
								</div>
								<div class="card-background-container">
									<div class="card-background-thumb"></div>
									<div class="card-background-full"></div>
								</div>
								<div class="card-actions hidden">
									<a class="delete-card" data-id="" href="#"><span class="dashicons dashicons-trash"></span> <?php esc_html_e( 'Remove' ); ?></a>
								</div>
							</div>
						</div>
					</li>
				</ul>
				<?php if ( $items_count ) : ?>
					<div class="wp-weixin-broadcast-add-article select2-ui-wait">
						<select id="wp_weixin_broadcast_select_item"></select>
						<button class="button button-primary add-item-trigger"><?php esc_html_e( 'Add to Broadcast Message', 'wp-weixin-broadcast' ); ?></button>
					</div>
				<?php else : ?>
					<p>
						<?php esc_html_e( 'There is currently no items to broadcast. Write a new one first, or clone existing content.', 'wp-weixin-broadcast' ); ?><br>
					</p>
					<?php if ( $is_item_broadcastable ) : ?>
						<p>
							<a href="<?php echo esc_attr( admin_url( 'post-new.php?post_type=' . WP_Weixin_Article::POST_TYPE ) ); ?>" class="button button-primary"><?php esc_html_e( 'Add New WeChat Article', 'wp-weixin-broadcast' ); ?></a>
						</p>
					<?php endif; ?>
					<?php do_action( 'wp_weixin_broadcast_no_available_items' ); ?>
				<?php endif; ?>
				<?php do_action( 'wp_weixin_broadcast_after_items_selector', $post ); ?>
				<hr/>
				<?php do_action( 'wp_weixin_broadcast_before_preview_options', $post ); ?>
				<h2><?php esc_html_e( 'Preview Options', 'wp-weixin-broadcast' ); ?></h2>
				<p>
					<label><?php esc_html_e( 'Target recipients of preview:', 'wp-weixin-broadcast' ); ?></label>
					<input type="text" id="wechat_broadcast_preview_followers_ids" name="wechat_broadcast_preview_followers_ids" value="<?php echo esc_attr( $preview_followers_ids ); ?>">
					<span class="howto"><?php esc_html_e( 'List of WeChat IDs separated by commas. The IDs must belong to followers of the WeChat Official Account for them to receive the preview.', 'wp-weixin-broadcast' ); ?></span>
					<span class="howto"><?php esc_html_e( 'WeChat IDs can be WeChat Account IDs or OpenIDs (useful if the WeChat Account ID is not known and the recipients of the preview are WordPress WeChat users).', 'wp-weixin-broadcast' ); ?></span>
				</p>
				<p>
					<label><?php esc_html_e( 'Type of WeChat IDs:', 'wp-weixin-broadcast' ); ?></label><br/>
					<label class="wp-weixin-broadcast-radio">
						<input type="radio" name="wechat_broadcast_preview_followers_id_type" value="wxname" <?php checked( $preview_followers_id_type, 'wxname' ); ?>>
						<?php esc_html_e( 'WeChat Account IDs', 'wp-weixin-broadcast' ); ?>
					</label><br/>
					<label class="wp-weixin-broadcast-radio">
						<input type="radio" name="wechat_broadcast_preview_followers_id_type" value="openid" <?php checked( $preview_followers_id_type, 'openid' ); ?>>
						<?php esc_html_e( 'WeChat Open IDs', 'wp-weixin-broadcast' ); ?>
					</label>
				</p>
				<?php do_action( 'wp_weixin_broadcast_after_preview_options', $post ); ?>
				<hr/>
				<?php do_action( 'wp_weixin_broadcast_before_broadcast_options', $post ); ?>
				<h2><?php esc_html_e( 'Broadcast Options', 'wp-weixin-broadcast' ); ?></h2>
				<p>
					<label><?php esc_html_e( 'Target recipients of broadcast message:', 'wp-weixin-broadcast' ); ?></label><br/>
					<select name="wechat_broadcast_target_type" class="wp-weixin-broadcast-target-type">
						<?php foreach ( $broadcast_allowed_methods as $method ) : ?>
							<option value="<?php echo esc_attr( $method['value'] ); ?>"<?php selected( $broadcast_to, $method['value'] ); ?>><?php echo esc_html( $method['label'] ); ?></option>
						<?php endforeach; ?>
					</select>
				</p>
				<?php do_action( 'wp_weixin_broadcast_targets_type_settings', $post, $broadcast_to ); ?>
				<?php do_action( 'wp_weixin_broadcast_after_broadcast_options', $post ); ?>
			</div>
		<?php else : ?>
			<p class="howto">
				<?php esc_html_e( 'The content has been broadcasted to users and cannot be edited anymore.', 'wp-weixin-broadcast' ); ?>
			</p>
			<p class="howto">
					<?php esc_html_e( 'However, you can still remove items from the broadcast: although deleted items will still appear in the cards received by the followers who already received the broadcast, they will not be able to access the deleted content.', 'wp-weixin-broadcast' ); ?>
				</p>
			<?php if ( ! $job_complete ) : ?>
				<p class="howto">
					<?php esc_html_e( 'It will also prevent the deleted items from being sent to those still waiting to receive them.', 'wp-weixin-broadcast' ); ?>
				</p>
			<?php endif; ?>
			<p class="howto">
				<?php esc_html_e( 'Please note the operation is not immediate: there will be a slight delay before the deleted items become inaccessible.', 'wp-weixin-broadcast' ); ?>
			</p>
			<?php do_action( 'wp_weixin_broadcast_before_delete_broadcasted_items', $post ); ?>
			<h2><?php esc_html_e( 'Delete WeChat Broadcasted Items', 'wp-weixin-broadcast' ); ?></h2>
			<div class="wp-weixin-broadcast-delete-item">
				<select id="wp_weixin_broadcast_select_delete_item">
					<option value="-1"><?php esc_html_e( 'Delete the entire Broadcast Message Content', 'wp-weixin-broadcast' ); ?></option>
					<?php if ( ! empty( $cards_data ) && 1 < count( $cards_data ) ) : ?>
						<?php foreach ( $cards_data as $card ) : ?>
							<?php if ( ! in_array( $card['id'], $deleted_items, true ) ) : ?>
								<option value="<?php echo esc_attr( $card['id'] ); ?>"><?php echo esc_html( $card['title'] ); ?></option>
							<?php endif; ?>
						<?php endforeach; ?>
					<?php endif; ?>
				</select>
				<button class="button button-primary delete-item-trigger" data-id="<?php echo esc_attr( $post->ID ); ?>"><?php esc_html_e( 'Delete from Broadcast', 'wp-weixin-broadcast' ); ?></button><span class="spinner"></span>
			</div>
			<?php do_action( 'wp_weixin_broadcast_after_delete_broadcasted_items', $post ); ?>
		<?php endif; ?>
	</div>
<?php endif; ?>
